package com.mobvista.apptag.service;

import com.mobvista.apptag.entity.User;

import java.util.Map;

/**
 * @author wangjf
 */
public interface UserService {

    boolean createUser(Map<String, Object> uMap, String userId);

    void updateUser(User user);

    Map<String, Object> find(String userId);

    /*
    Map<String, Object> list();
     */

    Boolean validate(String userId, String password);

    boolean exit(String userName);
}